//DD_UTILS.DCL FILE Last Modified 25-4-95

QE : dialog {
   label = "Quick Edit";
   initial_focus = "Edit_Box";
   : column {
      : row {  
         :column {
            : popup_list {
               key = "Style";
               label = "Style:";
               edit_width = 15;
            }
            : popup_list {
               key = "Alignment";
               label = "Align:";
               edit_width = 15;
            }
            : popup_list {
               key = "Generation";
               label = "Text:";
               edit_width = 15;
            }
         }
         spacer;
         : column {
            :row {
               : column {  
                  : edit_box {
                     key = "Rotation";
                     label = "Rotation:";
                     edit_width = 6;
                     edit_limit = 6;
                  }
                  : edit_box {
                     key = "Oblique";
                     label = "Oblique:";
                     edit_width = 6;
                     edit_limit = 6;
                  }
               }
               spacer;
               : column {  
                  : edit_box {
                     key = "Height";
                     label = "Height:";
                     edit_width = 8;
                     edit_limit = 8;
                  }
                  : edit_box {
                     key = "Scale";
                     label = "Scale:";
                     edit_width = 8;
                     edit_limit = 8;
                  }
               }
            }
            : popup_list {
               key = "Options";
               label = "Options: ";
               edit_width = 15;
               fixed_width = true;
            }
         }
      }
      : edit_box {
         key = "Edit_Box";
         label = "";
         edit_width = 62;
         edit_limit = 256;
         allow_accept = true;
      }
   }
   ok_cancel;
}

DD_Archive : dialog {
   label = "DD_Archive by Stephen Haywood";
   initial_focus = "Fname";
   : column {
      : row {
         : edit_box {
            key = "Fname";
            label = "Archive File Name:";
            edit_width = 8;
            edit_limit = 8;
         }
         spacer;
         : toggle {
            key   =  "DO3D";
            label =  "3D Slide View";
         }
      }
      : edit_box {
         key = "Title";
         label = "Title:";
         edit_width = 40;
         edit_limit = 50;
      }
      : row {
         : popup_list {
            key = "Drvs";
            label = "Drives:";
            edit_width = 3;
         }
         : popup_list {
            key = "Wild";
            label = "Ext:";
            list = "*.DWG\n*.DXF";
            edit_width = 6;
         }
         : edit_box {
            key = "Pattern";
            label = "Pattern:";
            edit_width = 8;
            edit_limit = 8;
         }
      }
      spacer;
      : row {
         : list_box {
            key = "Dir_List";
            label = "Directory:";
            allow_accept = false;
            width = 15;
            fixed_width = true;
         }
         : list_box {
            key = "File_List";
            label = "Files Found:";
            allow_accept = false;
            width = 15;
            fixed_width = true;
         }
         : column {
            : concatenation {
               : text_part {
                  label = "Selected ";
               }
               : text_part {
                  key = "Num_Files";
                  label = "";
                  width = 4;
               }
            }
            spacer_0;
            : image_button {
               key = "ICON";
               color = dialog_background;
               height = 8;
               aspect_ratio = 1.4;
               fixed_height = true;
               fixed_width = true;
            }
            spacer_0;
         }
      }
      : concatenation {
         : text_part {
            label = "Path: ";
         }
         : text_part {
            key = "Path";
            label = "";
            width = 24;
         }
      }
      : popup_list {
         key = "Output";
         label = "Action:";
         list = "Archive drawings.\nUpdate drawings.\nMake .DWG files from .DXF files.\nMake .DXF files from .DWG files.\nMake PLOT files from .DWG files.";
         width = 36;
         alignment = centered;
         fixed_width = true;
      }
   }
   spacer;
   ok_cancel_help_errtile;
}

DD_UnArchive : dialog {
   label = "DD_UnArchive by Stephen Haywood";
   initial_focus = "Dir_List";
   : column {
      :row {
         : column {
            : paragraph {
               fixed_width = true;
               : text_part {
                  key      = NOTE1;
                  label    = "Description of drawing if";
                  width = 30;
               }
               : text_part {
                  key      = NOTE2;
                  label    = "available, will be displayed";
                  width = 30;
               }  
               : text_part {
                  key      = NOTE3;
                  label    = "here.";
                  width = 30;
               }  
            }
            :row {
               : button {
                  key   = "Edit";
                  label = " Edit ";
                  height = 2;
               }
               spacer;
               : column {
                  : toggle {
                     key   =  "Back";
                     label =  "Toggle Background";
                  }
                  : toggle {
                     key   =  "Scale";
                     label =  "Scale block";
                  }
                  : toggle {
                     key   =  "Save";
                     label =  "Save Path on Exit";
                  }
               }
            }
            :row {
               : popup_list {
                  key = "Drvs";
                  label = "Drives:";
                  edit_width = 3;
               }
               : popup_list {
                  key = "Wild";
                  label = "Ext:";
                  list = "*.*\n*.DDA\n*.ZIP";
                  edit_width = 6;
               }
            }
         }
         : image_button {
            key = "ICON";
            color = dialog_background;
            height = 8;
            aspect_ratio = 1.4;
            fixed_height = true;
            fixed_width = true;
         }
      }
      spacer;
      : row {
         : list_box {
            key = "Dir_List";
            label = "Directory:";
            allow_accept = false;
            width = 15;
            fixed_width = true;
         }
         : list_box {
            key = "Arch_List";
            label = "Archive:";
            allow_accept = false;
            width = 15;
            fixed_width = true;
         }
         : list_box {
            key = "File_List";
            label = "Files Found:";
            allow_accept = false;
            width = 15;
            fixed_width = true;
         }
      }
      : concatenation {
         : text_part {
            label = "Path: ";
         }
         : text_part {
            key = "Path";
            label = "";
            width = 22;
         }
      }
      : row {
         alignment = centered;
         fixed_width = true;
         : button {
            key   = "Insert";
            label = " Insert ";
            is_default = true;
         }
         : button {
            key   = "Open";
            label = " Open ";
         }
         : spacer { width = 2; }
         : button {
            key   = "Cancel";
            label = " Cancel ";
            is_cancel = true;
         }
         : button {
            key   = "Help";
            label = " Help ";
         }
      }
errtile;
   }
}

EditArchive : dialog {
   label = "Edit Archive Description";
   initial_focus = "Edit_Box";
      : edit_box {
         key = "Edit_Box";
         label = "";
         edit_width = 60;
         edit_limit = 70;
         allow_accept = true;
      }
   ok_cancel;
}

View_Point  : dialog {
   label = "Choose View Point";
   : row {
      : image_button {
         key   = "View_Left";
         height   = 8;
         color =  dialog_background;
         aspect_ratio = 1.4;
         fixed_height = true;
         fixed_width = true;
         is_default = true;
         allow_accept = true;
      }
      : image_button {
         key = "View_Right";
         color = dialog_background;
         height = 8;
         aspect_ratio = 1.4;
         fixed_height = true;
         fixed_width = true;
         allow_accept = true;
      }
   }
}

Large_View  : dialog {
   label = "Large View";
   : image_button {
      key   = "Large_View";
      height   = 32;
      color =  dialog_background;
      aspect_ratio = 1.4;
      fixed_height = true;
      fixed_width = true;
      is_default = true;
      allow_accept = true;
   }
}

INSERT : dialog {
   label = "Insertion Scale";
   initial_focus = "X_Scale";
   :column {
      : row {
         alignment = centered;
         fixed_width = true;
         : edit_box {
            key = X_Scale;
            label = "X Scale:";
            mnemonic = "X";
            edit_width = 5;
         }
      }
      : row {
         alignment = centered;
         fixed_width = true;
         : edit_box {
            key = Y_Scale;
            label = "Y Scale:";
            mnemonic = "Y";
            edit_width = 5;
         }
      }
      : row {
         alignment = centered;
         fixed_width = true;
         : edit_box {
            key = Z_Scale;
            label = "Z Scale:";
            mnemonic = "Z";
            edit_width = 5;
         }
      }
   }
   ok_only;
}

DD_Copy_Notice : dialog {
   label = "DD_UnZip Notice";
   initial_focus = "Edit_box";
   : column {
      : text {
         key = "Notice1";
         label = "";
         width = 40;
      }
      spacer;
      : paragraph {
         fixed_width = true;
         : text_part {
            key = "Notice2";
            label = "";
            width = 40;
         }
         : text_part {
            key = "Notice3";
            label = "";
            width = 40;
         }
      }
      spacer;
      : row {
         alignment = centered;
         fixed_width = true;
         : edit_box {
            key = "Edit_box";
            label = "Enter Number:";
            edit_width = 12;
            edit_limit = 12;
            allow_accept = true;
         }
      }
   }
ok_only;
}

DD_Copy_Name : dialog {
   label = "DD_UnZip Notice";
   initial_focus = "Edit_box";
   : column {
      : text {
         key = "Notice1";
         label = "";
         width = 40;
      }
      spacer;
      : paragraph {
         fixed_width = true;
         : text_part {
            key = "Notice2";
            label = "";
            width = 40;
         }
         : text_part {
            key = "Notice3";
            label = "";
            width = 40;
         }
      }
      spacer;
      : row {
         alignment = centered;
         fixed_width = true;
         : edit_box {
            key = "Edit_box";
            label = "Enter Name:";
            edit_width = 24;
            edit_limit = 40;
            allow_accept = true;
         }
      }
   }
ok_only;
}

ALPHANUM : dialog {
   label = "DD_ALPHA/NUMBERIC";
   : column {
      : edit_box {
         key   =  "Start";
         label =  "Start Number:";
         edit_width = 10;
         edit_limit = 10;
      }
      : edit_box {
         key   =  "Last";
         label =  " Last Number:";
         edit_width = 10;
         edit_limit = 10;
      }
      : edit_box {
         key   =  "X_Dir";
         label =  " X Direction:";
         edit_width = 10;
         edit_limit = 10;
      }
      : edit_box {
         key   =  "Y_Dir";
         label =  " Y Direction:";
         edit_width = 10;
         edit_limit = 10;
      }
      : edit_box {
         key   =  "Height";
         label =  " Text Height:";
         edit_width = 10;
         edit_limit = 10;
      }
   }
   ok_cancel;
}

DDSCALEB : dialog {
   label = "DD_Scale Block";
   :column {
      : edit_box {
         key = X_Scale;
         label = " X Scale: ";
         mnemonic = "X";
         edit_width = 10;
         edit_limit = 10;
      }
      : edit_box {
         key = Y_Scale;
         label = " Y Scale: ";
         mnemonic = "Y";
         edit_width = 10;
         edit_limit = 10;
      }
      : edit_box {
         key = Z_Scale;
         label = " Z Scale: ";
         mnemonic = "Z";
         edit_width = 10;
         edit_limit = 10;
      }
      : edit_box {
         key = R_Angle;
         label = "Rotation: ";
         mnemonic = "R";
         edit_width = 10;
         edit_limit = 10;
      }
   }
   ok_cancel;
}

BLKINSRT : dialog {
   label = "Select Block";
   : list_box {
      key            =  "List_Box";
      label          =  "Available blocks:";
      allow_accept   =  true;
   }
   ok_cancel;
}

LAYTHAW : dialog {
   label = "Select Layer(s)";
   : list_box {
      key               =  "List_Box";
      label             =  "Frozen Layers:";
      multiple_select   =  true;
      allow_accept      =  false;
   }
   : row {
      : button {
         key   =  "Select_All";
         label =  "All";
      }
      : button {
         key   =  "Clear_All";
         label =  "Clear";
      }
   }
   ok_cancel;
}

DDPROTECT : dialog {
   label = "DD Protect";
   initial_focus = "Password";
   : edit_box {
      key   =  "Password";
      label =  "Password ";
      value =  "********";
      edit_width = 10;
      edit_limit = 8;
      allow_accept = true;
      is_enabled  = true;
   }
ok_only;
}

DDPAPER : dialog {
   label    =  "Select Paper Size";
   : row {
      spacer;
      : radio_column {
         key   =  "Paper_Size";
         : radio_button {
            key   =  "A4P";
            label =  "A4 Portrait:";
         }
         : radio_button {
            key   =  "A4L";
            label =  "A4 Landscape:";
         }
         : radio_button {
            key   =  "A3P";
            label =  "A3 Portrait:";
         }
         : radio_button {
            key   =  "A3L";
            label =  "A3 Landscape:";
         }
         : radio_button {
            key   =  "A2";
            label =  "A2 Landscape:";
         }
         : radio_button {
            key   =  "A1";
            label =  "A1 Landscape:";
         }
         : radio_button {
            key   =  "A0";
            label =  "A0 Landscape:";
         }
         : radio_button {
            key   =  "JDL1";
            label =  "JDL 905x594:";
         }
         : radio_button {
            key   =  "JDL0";
            label =  "JDL 1189x905:";
         }
      }
   }
      : edit_box {
         key   =  "Header_Name";
         label =  "Drawing Header:";
         edit_width = 3;
         edit_limit = 3;
      }
   ok_cancel;
}

AUTOPURGE : dialog {
   label    =  "Auto Purge";
   : paragraph {
      fixed_width = true;
      : text_part {
         label = " Choosing 'OK' will automatically Purge this drawing ";
      }
      : text_part {
         label = " of all unused Blocks, Dimstyles, Layers, Linetypes ";
      }
      : text_part {
         label = " and Text styles. Choose 'Cancel' to bypass purge.";
      }
   }
   ok_cancel;
}

DDWBLOCK : dialog {
   label = "Select Block(s)";
   : list_box {
      key               =  "List_Box";
      label             =  "Available Blocks:";
      multiple_select   =  true;
      allow_accept      =  true;
   }
   : row {
      : button {
         key   =  "Select_All";
         label =  "All";
      }
      : button {
         key   =  "Clear_All";
         label =  "Clear";
      }
   }
   ok_cancel;
}

DDOVERWRITE : dialog {
   label = "WARNING";
   : text {
      label = " File allready exists. Overwrite? ";
   }
   : row {
      alignment = centered;
      fixed_width = true;
      : button {
         key   = "DD_YES";
         label = " YES ";
      }
      : spacer { width = 2; }
      : button {
         key         = "DD_NO";
         label       = " NO ";
         is_cancel   = true;
      }
   }
}

DDSAVEYN : dialog {
   label = "WARNING";
   : text {
      label = " Save Existing drawing? ";
   }
   : row {
      alignment = centered;
      fixed_width = true;
      : button {
         key   =  "DD_YES";
         label =  " YES ";
      }
      : spacer { width = 2; }
      : button {
         key         =  "DD_NO";
         label       =  " NO ";
         is_cancel   = true;
      }
   }
}
